#!/usr/bin/python

import os
import time

def find_features(features_string,all_features, obj1, obj2):
	features_string = features_string.split(';')
	for i in range(len(features_string)):
		features_string[i] = float(features_string[i])
	i = 0
	found = 0
	for f_one in all_features:
		sum_all = 0
		for j in range(len(f_one)):
			
			sum_all = sum_all + f_one[j] - features_string[j]
		if (sum_all == 0):
			found = 1
			break
		i = i + 1
	if found == 0:
		print features_string
		print 'not found'
		raw_input()
	else:
		#print (';').join(features_string)
		print features_string
		print str(obj1[i])+';'+str(obj2[i])
	return (obj1[i],obj2[i])
			
exchange_dir = './'
sampling_exchange = exchange_dir + 'sampling_exchange.csv'
done_request_file_name = exchange_dir + 'done_request'
done_reply_file_name = exchange_dir + 'done_reply'
done_train_file_name = exchange_dir + 'done_train'

try:
	os.system('rm ' + sampling_exchange)
	os.system('rm ' + done_request_file_name)
	os.system('rm ' + done_reply_file_name)
	os.system('rm ' + done_train_file_name)
except:
	True

conf_file_name = raw_input('Input the name of the configuration file:')

conf_file = open(conf_file_name,'r')
input_lines = conf_file.read()
file_all_name = input_lines.split('readfile = ')[1].split('\n')[0]
file_all = open('../'+file_all_name,'r')
lines = file_all.readlines()
features = []
obj1 = []
obj2 = []
for line_i in range(len(lines)-1):
	
	split_line = lines[line_i+1].split(';')
	if len(split_line)==1:
		continue
	features_set = (';').join(split_line[0:len(split_line)-2])
	features_split = features_set.split(';')
	for i in range(len(features_split)):
		features_split[i] = float(features_split[i])

	features.append(features_split)
	obj1.append(split_line[len(split_line)-2])
	obj2.append(split_line[len(split_line)-1])


done_train = 0
while (os.path.exists('done_train')==0):
	#time1 = os.path.getmtime(sampling_exchange)
	#while (time1 == os.path.getmtime(sampling_exchange)):
	print('waiting for done_request')
	while (os.path.exists('done_request')==0):
		if (os.path.exists('done_train')==1):
			done_train = 1
			os.system('rm done_train')
			break
	if done_train == 1:
		break
	print "found done_request..."
	os.system('rm done_request')
	#time.sleep(2)
	exchange_f = open(sampling_exchange,'r')
	lines = exchange_f.readlines()
	exchange_f.close()
	#raw_input("ready to reply, pause to continue")
	print lines
	exchange_f = open(sampling_exchange,'w')

	for line in lines:
		(one_obj1,one_obj2) = find_features(line,features,obj1,obj2)
		exchange_f.write(line.split('\n')[0]+';'+one_obj1+';'+one_obj2)
	exchange_f.close()
	done_f = open('done_reply','w')
	done_f.write('done')
	done_f.close()
	print "wrote reply"	




	
