% PAL (Pareto Active Learning) Algorithm 
%
% Copyright (c) 2013 ETH Zurich
% 
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

function [obj1_pareto,obj2_pareto] = get_pareto_set_to_plot(obj1, obj2)

    obj1_pareto = -1;
    obj2_pareto = -1;
    loop_limit = length(obj1)-1;
    
    if length(obj1)~=length(obj2)
        disp('check')
        pause
    end
    if loop_limit == 0
        obj1_pareto=append(obj1_pareto,obj1(1));
        obj2_pareto=append(obj2_pareto,obj2(1));
    else
        for i=1:loop_limit
            obj1_pareto=append(obj1_pareto,obj1(i));
            obj2_pareto=append(obj2_pareto,obj2(i));
            obj1_pareto=append(obj1_pareto,obj1(i+1));
            obj2_pareto=append(obj2_pareto,obj2(i));
        end
        obj1_pareto=append(obj1_pareto,obj1(i+1));
        obj2_pareto=append(obj2_pareto,obj2(i+1));    
    end
    
%        if length(obj1_pareto)~=length(obj2_pareto)
%         disp('check')
%         pause
%        end

    [obj1_pareto,obj2_pareto,tmp_rest_list] = order_pareto(obj1_pareto,obj2_pareto,zeros(length(obj1_pareto),1));

end

        
        